[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldDef.Attributes

Additional attributes of the field.

## Declaration

Source position: db.pas line 197

`published property TFieldDef.Attributes : TFieldAttributes read FAttributes write SetAttributes default [];`

## Description

Attributes contain additional attributes of the field. It shares the faRequired attribute with the Required property.

## See also

TFieldDef.Required |  | Is the field required ?